## lua-ldap 1.1.0-1

=== Makefile ===
# $Id: Makefile,v 1.30 2007-03-13 22:07:33 godinho Exp $

T= lualdap
V= 1.1.0
CONFIG= ./config

include $(CONFIG)

ifeq "$(LUA_VERSION_NUM)" "500"
COMPAT_O= $(COMPAT_DIR)/compat-5.1.o
endif

OBJS= src/lualdap.o $(COMPAT_O)


src/$(LIBNAME): $(OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(LIBNAME) $(OBJS) $(OPENLDAP_LIB)

$(COMPAT_DIR)/compat-5.1.o: $(COMPAT_DIR)/compat-5.1.c
	$(CC) -c $(CFLAGS) -o $@ $(COMPAT_DIR)/compat-5.1.c

install: src/$(LIBNAME)
	mkdir -p $(LUA_LIBDIR)
	cp src/$(LIBNAME) $(LUA_LIBDIR)
	cd $(LUA_LIBDIR); ln -f -s $(LIBNAME) $T.so

clean:
	rm -f $(OBJS) src/$(LIBNAME)

## lua-ldap 1.1.0-1-geeac494

=== debian/changelog ===
lua-ldap (1.1.0-1-geeac494-6) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723490)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:52 +0200

lua-ldap (1.1.0-1-geeac494-5) unstable; urgency=low

  * debian/control:
    + Standards-Version to 3.9.5.
    + add '-b debian' to Vcs-Git.
  * debian/patches/series,
    debian/patches/define_ldap_deprecated.diff:
    + fix implicit pointer conversion on amd64, thanks to Michael
      Biena <geser@ubuntu.com> and Micah Gersten <micahg@ubuntu.com>
      (Closes: #722175).

 -- Luca Capello <luca@pca.it>  Thu, 02 Jan 2014 21:45:13 +0100

lua-ldap (1.1.0-1-geeac494-4) unstable; urgency=low

  [ Luca Capello ]
  * debian/copyright:
    + add comment about the fact that the Lua community prefers to
      call the license "MIT", see #670760.

  [ Enrico Tassi ]
  * Fix FTBFS (Closes: #713467)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 23 Jun 2013 21:29:38 +0200

lua-ldap (1.1.0-1-geeac494-3) unstable; urgency=low

  * debian/control:
    + Maintainer: is <pkg-lua-devel@alioth.lists.debian.org>.
    + move myself to Uploaders:.

 -- Luca Capello <luca@pca.it>  Sun, 06 May 2012 16:35:53 +0200

lua-ldap (1.1.0-1-geeac494-2) unstable; urgency=low

  [ Enrico Tassi ]
  * debian/control:
    + move to collab-maint.
  * debian/watch:
    + adapt to GitHub downloads.
  
  [ Luca Capello ]
  * debian/copyright:
    + add Enrico Tassi for the debian/* files.

 -- Luca Capello <luca@pca.it>  Mon, 30 Apr 2012 18:43:06 +0200

lua-ldap (1.1.0-1-geeac494-1) unstable; urgency=low

  * Initial release (Closes: #670549).

 -- Luca Capello <luca@pca.it>  Sun, 29 Apr 2012 15:17:54 +0200

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-ldap
#
version=3
https://github.com/luaforge/lualdap/downloads .*/lualdap-([\d\.]*).tar.gz

## lua-ldap 1.2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $Id: Makefile,v 1.30 2007-03-13 22:07:33 godinho Exp $
 
 T= lualdap
-V= 1.1.0
+V= 1.2.3
 CONFIG= ./config
 
 include $(CONFIG)
@@ -20,9 +20,9 @@
 	$(CC) -c $(CFLAGS) -o $@ $(COMPAT_DIR)/compat-5.1.c
 
 install: src/$(LIBNAME)
-	mkdir -p $(LUA_LIBDIR)
-	cp src/$(LIBNAME) $(LUA_LIBDIR)
-	cd $(LUA_LIBDIR); ln -f -s $(LIBNAME) $T.so
+	mkdir -p $(DESTDIR)$(LUA_LIBDIR)
+	cp src/$(LIBNAME) $(DESTDIR)$(LUA_LIBDIR)
+	cd $(DESTDIR)$(LUA_LIBDIR); ln -f -s $(LIBNAME) $T.so
 
 clean:
 	rm -f $(OBJS) src/$(LIBNAME)

=== debian/changelog ===
lua-ldap (1.2.3-2~bpo9+2) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Victor Seva <vseva@debian.org>  Wed, 26 Dec 2018 09:51:42 +0100

lua-ldap (1.2.3-2) unstable; urgency=medium

  * set global lualdap only for lua5.1 (See: #914530)
  * set proper version info patch

 -- Victor Seva <vseva@debian.org>  Fri, 21 Dec 2018 08:27:12 +0100

lua-ldap (1.2.3-1) unstable; urgency=medium

  * add debian/.gitlab-ci.yml file
  * add myself as Maintainer with Luca's permission
  * update Vcs-* due migration to salsa
  * update debian/gbp.conf
  * change upstream to https://github.com/lualdap/lualdap
  * New upstream version 1.2.3
  * add support for lua5.2 (Closes: #814218,#914530)
  * update compat to 10
  * update standards-version to 4.2.1, no changes needed
  * add doc-base control file for html docs
  * remove privacy-breach-* problems with html docs

 -- Victor Seva <vseva@debian.org>  Fri, 07 Dec 2018 00:49:54 +0100

lua-ldap (1.1.0-1-geeac494-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870551).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 21:29:02 +0100

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-ldap
#
version=4
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lualdap_$1\.tar\.gz/" \
  https://github.com/lualdap/lualdap/tags .*/v?(\d\.\S*)\.tar\.gz

## lua-ldap 1.2.4

=== Makefile ===
N= LuaLDAP
T= lualdap
V= 1.2.4
PACKAGE_STRING=$(N) $(V)
CONFIG= ./config

include $(CONFIG)

ifneq ($(filter check,$(MAKECMDGOALS)),)
include tests/test.env
LDAP_VARS=LDAP_URI LDAP_BASE_DN LDAP_BIND_DN LDAP_BIND_PASSWORD LDAP_TEST_DN LDAP_TEST_PASSWORD
$(foreach var,$(LDAP_VARS),$(if $(value $(var)),$(info $(var): $(value $(var))),$(error $(var) required when running tests)))
LDAP_HOST= $(shell echo "$(LDAP_URI)" | sed -r 's,^.*://([^:/]+).*$$,\1,')
endif

ifdef BUILD_VARIANT
REPORT_DIR := test-reports/$(BUILD_VARIANT)
else
REPORT_DIR := test-reports
endif

ifdef COVERAGE
override CFLAGS := $(CFLAGS) -O0 -g --coverage
override BUSTEDFLAGS := $(BUSTEDFLAGS) --coverage
endif

ifdef JUNITXML
override BUSTEDFLAGS := $(BUSTEDFLAGS) --output=junit -Xoutput $(REPORT_DIR)/report.xml
endif

override CPPFLAGS := -DPACKAGE_STRING="\"$(PACKAGE_STRING)\"" -DLUA_C89_NUMBERS -I$(LUA_INCDIR) -I$(LDAP_INCDIR) -I$(LBER_INCDIR) -I$(COMPAT_DIR) $(CPPFLAGS)

ifeq ($(LUA_VERSION),5.0)
COMPAT_O= $(COMPAT_DIR)/compat-5.1.o
endif

OBJS= src/lualdap.o $(COMPAT_O)

LIBNAME=$(T).so

src/$(LIBNAME): $(OBJS)
	$(CC) $(CFLAGS) $(LIBFLAG) -o src/$(LIBNAME) $(OBJS) -L$(LDAP_LIBDIR) $(LDAP_LIB) -L$(LBER_LIBDIR) $(LBER_LIB)

install: src/$(LIBNAME)
	$(INSTALL) src/$(LIBNAME) $(DESTDIR)$(INST_LIBDIR)

clean:
	$(RM) -r $(OBJS) src/$(LIBNAME) src/*.gcda src/*.gcno src/*.gcov luacov.*.out $(REPORT_DIR)

check: $(REPORT_DIR)
	env $(foreach var,$(LDAP_VARS) LDAP_HOST,$(var)=$($(var))) busted $(BUSTEDFLAGS) tests/test.lua
ifdef COVERAGE
	luacov
	mv luacov.*.out $(REPORT_DIR)
endif

$(REPORT_DIR):
	mkdir -p $@

package_string:
# useful on custom builds, like in Debian that doesn't use directly make to
# build the project. So it can be used like
# -DPACKAGE_STRING="\"$(shell make package_string)\""
	@echo "$(PACKAGE_STRING)"

=== debian/changelog ===
lua-ldap (1.2.4-1) unstable; urgency=medium

  * debian/watch: skip rc versions
  * New upstream version 1.2.4
  * use PACKAGE_STRING cflag to get the proper version
  * add lua5.3 support
  * remove 0004 patch, fixed upstream

 -- Victor Seva <vseva@debian.org>  Thu, 03 Jan 2019 16:16:37 +0100

## lua-ldap 1.2.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 N= LuaLDAP
 T= lualdap
-V= 1.2.4
+V= 1.2.5
 PACKAGE_STRING=$(N) $(V)
 CONFIG= ./config
 
@@ -12,6 +12,11 @@
 $(foreach var,$(LDAP_VARS),$(if $(value $(var)),$(info $(var): $(value $(var))),$(error $(var) required when running tests)))
 LDAP_HOST= $(shell echo "$(LDAP_URI)" | sed -r 's,^.*://([^:/]+).*$$,\1,')
 endif
+
+CFLAGS_WARN := -pedantic -Wall -W -Waggregate-return -Wcast-align -Wmissing-prototypes -Wnested-externs -Wshadow -Wwrite-strings
+
+override CPPFLAGS := -DPACKAGE_STRING="\"$(PACKAGE_STRING)\"" -DLUA_C89_NUMBERS $(CPPFLAGS)
+override CFLAGS := -O2 -fPIC -std=c89 $(CFLAGS_WARN) $(CFLAGS)
 
 ifdef BUILD_VARIANT
 REPORT_DIR := test-reports/$(BUILD_VARIANT)
@@ -28,18 +33,17 @@
 override BUSTEDFLAGS := $(BUSTEDFLAGS) --output=junit -Xoutput $(REPORT_DIR)/report.xml
 endif
 
-override CPPFLAGS := -DPACKAGE_STRING="\"$(PACKAGE_STRING)\"" -DLUA_C89_NUMBERS -I$(LUA_INCDIR) -I$(LDAP_INCDIR) -I$(LBER_INCDIR) -I$(COMPAT_DIR) $(CPPFLAGS)
+OBJS= src/lualdap.o
+INCS := -I$(LUA_INCDIR) -I$(LDAP_INCDIR) -I$(LBER_INCDIR)
+LIBS := -L$(LDAP_LIBDIR) $(LDAP_LIB) -L$(LBER_LIBDIR) $(LBER_LIB)
 
-ifeq ($(LUA_VERSION),5.0)
-COMPAT_O= $(COMPAT_DIR)/compat-5.1.o
-endif
-
-OBJS= src/lualdap.o $(COMPAT_O)
+override CPPFLAGS := $(INCS) $(CPPFLAGS)
+override LDFLAGS := $(LIBFLAG) $(LDFLAGS)
 
 LIBNAME=$(T).so
 
 src/$(LIBNAME): $(OBJS)
-	$(CC) $(CFLAGS) $(LIBFLAG) -o src/$(LIBNAME) $(OBJS) -L$(LDAP_LIBDIR) $(LDAP_LIB) -L$(LBER_LIBDIR) $(LBER_LIB)
+	$(CC) $(CFLAGS) -o src/$(LIBNAME) $(LDFLAGS) $(OBJS) $(LIBS)
 
 install: src/$(LIBNAME)
 	$(INSTALL) src/$(LIBNAME) $(DESTDIR)$(INST_LIBDIR)

=== debian/changelog ===
lua-ldap (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * remove already merged patch 0003

 -- Victor Seva <vseva@debian.org>  Wed, 09 Jan 2019 07:44:51 +0100

=== debian/control ===
Source: lua-ldap
Section: interpreters
Priority: optional
Maintainer: Victor Seva <vseva@debian.org>
Uploaders:
 Enrico Tassi <gareuselesinge@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-lua (>= 12),
 libldap2-dev,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/lua-team/lua-ldap.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-ldap
Homepage: https://github.com/lualdap/lualdap

Package: lua-ldap
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: LDAP library for the Lua language
 This package contains the Lua LDAP library to:
  * Connect to an LDAP server (OpenLDAP or ADSI/WinLDAP);
  * Execute any operation (search, add, compare, delete, modify
    and rename);
  * Retrieve entries and references of the search result.
 .
 This package contains the runtime library.

Package: lua-ldap-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-ldap (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: LDAP development files for the Lua language
 This package contains the development files of the Lua LDAP library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 .
 Documentation is also shipped within this package.

## lua-ldap 1.3.0

=== debian/changelog ===
lua-ldap (1.3.0-2build1) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:51:11 +0000

lua-ldap (1.3.0-2) unstable; urgency=medium

  [ Jenkins ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Victor Seva ]
  * Lua team as maintainer, me as uploader (Closes: #995546)

 -- Victor Seva <vseva@debian.org>  Wed, 22 Dec 2021 21:57:41 +0100

lua-ldap (1.3.0-1) unstable; urgency=medium

  * don't import debian dir from upstream
  * New upstream version 1.3.0
  * update and remove patches
  * new doc format
  * add Lua 5.4 support

 -- Victor Seva <vseva@debian.org>  Mon, 09 Aug 2021 20:55:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: lua-ldap
 Section: interpreters
 Priority: optional
-Maintainer: Victor Seva <vseva@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders:
- Enrico Tassi <gareuselesinge@debian.org>,
+ Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-lua (>= 12),
  libldap2-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/lua-team/lua-ldap.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-ldap
 Homepage: https://github.com/lualdap/lualdap

## lua-ldap 1.3.1

=== Makefile ===
T= lualdap
V= 1.3.1
R= 1
CONFIG= ./config

include $(CONFIG)

SLAPD := openshift

CFLAGS_WARN := -pedantic -Wall -W -Waggregate-return -Wcast-align -Wmissing-prototypes -Wnested-externs -Wshadow -Wwrite-strings

override CPPFLAGS := -DLUA_USE_C89 $(CPPFLAGS)
override CFLAGS := -O2 -fPIC -std=c89 $(CFLAGS_WARN) $(CFLAGS)

ifdef BUILD_VARIANT
REPORT_DIR := test-reports/$(BUILD_VARIANT)
else
REPORT_DIR := test-reports
endif

ifdef COVERAGE
override CFLAGS := $(CFLAGS) -O0 -g --coverage
endif

OBJS= src/lualdap.o
INCS := -I$(LUA_INCDIR) -I$(LDAP_INCDIR) -I$(LBER_INCDIR)
LIBS := -L$(LUA_LIBDIR) $(LUA_LIB) -L$(LDAP_LIBDIR) $(LDAP_LIB) -L$(LBER_LIBDIR) $(LBER_LIB)

override CPPFLAGS := $(INCS) $(CPPFLAGS)
override LDFLAGS := $(LIBFLAG) $(LDFLAGS)

LIBNAME=$(T).so

src/$(LIBNAME): $(OBJS)
	$(CC) $(CFLAGS) -o src/$(LIBNAME) $(LDFLAGS) $(OBJS) $(LIBS)

install: src/$(LIBNAME)
	$(INSTALL) -d $(DESTDIR)$(INST_LIBDIR)
	$(INSTALL) src/$(LIBNAME) $(DESTDIR)$(INST_LIBDIR)

clean:
	$(RM) -r $(OBJS) src/$(LIBNAME) src/*.gcda src/*.gcno src/*.gcov luacov.*.out $(REPORT_DIR)

luacheck:
	luacheck --std min tests/smoke.lua
	luacheck --std max+busted --config tests/.luacheckrc tests/test.lua
	luacheck --std min --config tests.old/.luacheckrc tests.old/test.lua

smoke:
	@echo SMOKE with $(LUA)
	@LUA_CPATH="./src/?.so" $(LUA) tests/smoke.lua

setup_slapd:
	./tests/$(SLAPD)/setup.sh

check:
	. tests/$(SLAPD)/test.env && LUA_CPATH="./src/?.so" busted tests/test.lua

coverage: $(REPORT_DIR)
	. tests/$(SLAPD)/test.env && LUA_CPATH="./src/?.so" busted --coverage --output=junit -Xoutput $(REPORT_DIR)/report.xml tests/test.lua
	luacov
	mv luacov.*.out $(REPORT_DIR)

$(REPORT_DIR):
	mkdir -p $@

rock:
	luarocks pack rockspec/lualdap-$(V)-$(R).rockspec

pages:
	mkdocs build

gh-pages:
	mkdocs gh-deploy --clean

deb:
	echo "lua-ldap ($(V)) unstable; urgency=medium" >  debian/changelog
	echo ""                         >> debian/changelog
	echo "  * UNRELEASED"           >> debian/changelog
	echo ""                         >> debian/changelog
	echo " -- $(shell git config --get user.name) <$(shell git config --get user.email)>  $(shell date -R)" >> debian/changelog
	fakeroot debian/rules clean binary

=== debian/changelog ===
lua-ldap (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * update Standards-Version to 4.6.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 01 May 2023 18:12:06 +0200

## lua-ldap 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 T= lualdap
-V= 1.3.1
+V= 1.4.0
 R= 1
 CONFIG= ./config
 
@@ -9,8 +9,8 @@
 
 CFLAGS_WARN := -pedantic -Wall -W -Waggregate-return -Wcast-align -Wmissing-prototypes -Wnested-externs -Wshadow -Wwrite-strings
 
-override CPPFLAGS := -DLUA_USE_C89 $(CPPFLAGS)
-override CFLAGS := -O2 -fPIC -std=c89 $(CFLAGS_WARN) $(CFLAGS)
+override CPPFLAGS := $(CPPFLAGS)
+override CFLAGS := -O2 -fPIC $(CFLAGS_WARN) $(CFLAGS)
 
 ifdef BUILD_VARIANT
 REPORT_DIR := test-reports/$(BUILD_VARIANT)

=== debian/changelog ===
lua-ldap (1.4.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/gbp.conf: switch to DEP-14

 -- Victor Seva <vseva@debian.org>  Fri, 21 Feb 2025 18:21:07 +0100

lua-ldap (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Victor Seva <vseva@debian.org>  Fri, 17 Nov 2023 15:13:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: lua-ldap
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-lua (>= 12),
  libldap2-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/lua-team/lua-ldap.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-ldap
 Homepage: https://github.com/lualdap/lualdap
